### Method

# Gimp Brush set_spikes

since: 2.4

#### Declaration [src]

    gboolean
    gimp_brush_set_spikes (
      GimpBrush* brush,
      gint spikes_in,
      gint* spikes_out
    )

#### Description [src]

Sets the number of spikes for a generated brush.

Sets the number of spikes for a generated brush. Clamps spikes to [2,20]. Returns the clamped value. Returns an error when brush is non-parametric or not editable.

Available since: 2.4

#### Parameters

`spikes_in`

  Type: `gint`

  The desired number of spikes.

`spikes_out`

  Type: `gint*`

  The number of spikes actually assigned.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

TRUE on success.